Subject: African Top Bar Hives

From: [email-masked] (Darlene Scribilo)
Date: Sun, 18 Feb 1996 17:27:34 GMT

You may wish to check the archives from the Bee List,  post me if you need the 
address.  I seem to remember that last year, sometime between January and 
March there was a lot of info exchanged about these hives.  You can also order 
a book from  WICWAS PRESS  (203) 250-7575  called Beekeeping for Beginners 
(Kenya and top bar hive and log hives) , 1988 softcover $10.00  by Kigatiira, 
K.I. 

Darlene
[email-masked]